Subject: Ticket Assigned - Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund?
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 02 Jan 2021 10:36:10 +0000

Hi Mubasher Hamed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? Feedback for:  I paid for my order by Cash on Delivery. Can I return the products and get a cash refund? Wrong item please return my money back I pay cash https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1910232